For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Tenant Role Required permissions: TENANT_ROLE

Get Tenant Role

get
/tenants/{tenantUid}/tenant-roles/{tenantRoleUid}
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
tenantRoleUidstringRequired

Reference to a tenantRole.

Pattern: ^[A-Za-z0-9-_]+
Responses
200

Example response

application/json
namestringRequired
descriptionstringRequired
externalIdstringRequired
permissionsstring[]Required
tenantRoleUidstringRequiredPattern: ^[A-Za-z0-9-_]+
isSystemRolebooleanRequired
get/tenants/{tenantUid}/tenant-roles/{tenantRoleUid}
GET /v2/tenants/{tenantUid}/tenant-roles/{tenantRoleUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Example response

{
  "name": "text",
  "description": "text",
  "externalId": "text",
  "permissions": [
    "text"
  ],
  "tenantRoleUid": "text",
  "isSystemRole": true
}

Last updated

Was this helpful?